## cups-filters 1.0~b1

=== Makefile ===
#
# "$Id$"
#
#   Top-level Makefile for OpenPrinting CUPS Filters.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

include Makedefs


#
# Directories to make...
#

DIRS	=	cupsfilters backend filter pdftoopvp pdftopdf $(PHPDIR)


#
# Make all targets...
#

all:
	echo Using ALL_CFLAGS="$(ALL_CFLAGS)"
	echo Using CC="$(CC)"
	echo Using DSOFLAGS="$(DSOFLAGS)"
	echo Using LDFLAGS="$(LDFLAGS)"
	echo Using LIBS="$(LIBS)"
	for dir in $(DIRS); do\
		echo Making all in $$dir... ;\
		(cd $$dir ; $(MAKE) $(MFLAGS) all) || exit 1;\
	done


#
# Remove object and target files...
#

clean:
	for dir in $(DIRS); do\
		echo Cleaning in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || exit 1;\
	done


#
# Remove all non-distribution files...
#

distclean:	clean
	$(RM) Makedefs filter/pstopdf config.h config.log config.status
	$(RM) -f */*.bak
	-$(RM) -rf autom4te*.cache clang cupsfilters/test


#
# Remove all files not of the source repository
#

maintainer-clean:	distclean
	$(RM) -f configure aclocal.m4


#
# Make dependencies
#

depend:
	for dir in $(DIRS); do\
		echo Making dependencies in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || exit 1;\
	done


#
# Run the clang.llvm.org static code analysis tool on the C sources.
# (at least checker-231 is required for scan-build to work this way)
#

.PHONY: clang clang-changes
clang:
	$(RM) -r clang
	scan-build -V -k -o `pwd`/clang $(MAKE) $(MFLAGS) clean all
clang-changes:
	scan-build -V -k -o `pwd`/clang $(MAKE) $(MFLAGS) all


#
# Generate a ctags file...
#

ctags:
	ctags -R .


#
# Install everything...
#

install:	install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	for dir in $(DIRS); do\
		echo Installing data files in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) install-data) || exit 1;\
	done


#
# Install header files...
#

install-headers:


#
# Install programs...
#

install-exec:	all
	for dir in $(DIRS); do\
		echo Installing programs in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) install-exec) || exit 1;\
	done


#
# Install libraries...
#

install-libs:	all
	for dir in $(DIRS); do\
		echo Installing libraries in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) install-libs) || exit 1;\
	done


#
# Uninstall object and target files...
#

uninstall:
	for dir in $(DIRS); do\
		echo Uninstalling in $$dir... ;\
		(cd $$dir; $(MAKE) $(MFLAGS) uninstall) || exit 1;\
	done


#
# Don't run top-level build targets in parallel...
#

.NOTPARALLEL:


#
# End of "$Id$".
#

=== cupsfilters/Makefile ===
#
# "$Id$"
#
#   Library makefile for OpenPrinting CUPS Filters.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs


LIBTARGETS =	\
		$(LIBCUPSFILTERS) \
		libcupsfilters.a
UNITTARGETS =	\
		testcmyk \
		testdither \
		testimage \
		testrgb
TARGETS	=	\
		$(LIBTARGETS) \
		$(UNITTARGETS)

LIBOBJS =	\
		attr.o \
		check.o \
		cmyk.o \
		dither.o \
		image.o \
		image-bmp.o \
		image-colorspace.o \
		image-gif.o \
		image-jpeg.o \
		image-photocd.o \
		image-pix.o \
		image-png.o \
		image-pnm.o \
		image-sgi.o \
		image-sgilib.o \
		image-sun.o \
		image-tiff.o \
		image-zoom.o \
		lut.o \
		pack.o \
		rgb.o \
		srgb.o
OBJS	=	$(LIBOBJS) \
		testcmyk.o \
		testdither.o \
		testimage.o \
		testrgb.o


#
# Make all targets...
#

all:	$(TARGETS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS)
	$(RM) libcupsfilters.so libcupsfilters.dylib
	$(RM) -rf cupsfilters/test


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:
	$(INSTALL_DIR) -m 755 $(LIBDIR)
	$(INSTALL_LIB) $(LIBCUPSFILTERS) $(LIBDIR)


#
# Uninstall all targets...
#

uninstall:
	$(RM) $(LIBDIR)/libcupsfilters.1.dylib
	$(RM) $(LIBDIR)/libcupsfilters.a
	$(RM) $(LIBDIR)/libcupsfilters.so.1
	-$(RMDIR) $(LIBDIR)


#
# libcupsfilters.so.1, libcupsfilters.sl.1
#

libcupsfilters.so.1:	$(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ $(LIBOBJS) $(DSOLIBS) $(LINKCUPS) -lm
	$(RM) `basename $@ .1`
	$(LN) $@ `basename $@ .1`


#
# libcupsfilters.1.dylib
#

libcupsfilters.1.dylib:	$(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.0.0 \
		-compatibility_version 1.0.0 \
		$(LIBOBJS) $(DSOLIBS) $(LINKCUPS) -lm
	$(RM) libcupsfilters.dylib
	$(LN) $@ libcupsfilters.dylib


#
# libcupsfilters.la
#

libcupsfilters.la:       $(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ $(LIBOBJS:.o=.lo) $(DSOLIBS) \
		-rpath $(LIBDIR) -version-info 1:0


#
# libcupsfilters.a
#

libcupsfilters.a:	$(LIBOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@


#
# test: Make a common test subdirectory for the other test programs.
#

test:
	if test ! -d test; then \
		rm -rf test; \
		mkdir test; \
	fi


#
# testcmyk: Test cmyk separation functions.
#

testcmyk:	test testcmyk.o libcupsfilters.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testcmyk.o libcupsfilters.a \
		$(LIBS) -lm
	echo Running CMYK API tests...
	./testcmyk > test/testcmyk.log


#
# testdither: Test dithering functions.
#

testdither:	test testdither.o libcupsfilters.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testdither.o  libcupsfilters.a \
		$(LIBS) -lm
	echo Running dither API tests...
	./testdither > test/0-255.pgm 2>test/0-255.log
	./testdither 0 127 255 > test/0-127-255.pgm 2>test/0-127-255.log
	./testdither 0 85 170 255 > test/0-85-170-255.pgm 2>test/0-85-170-255.log
	./testdither 0 63 127 170 198 227 255 > test/0-63-127-170-198-227-255.pgm 2>test/0-63-127-170-198-227-255.log
	./testdither 0 210 383 > test/0-210-383.pgm 2>test/0-210-383.log
	./testdither 0 82 255 > test/0-82-255.pgm 2>test/0-82-255.log
	./testdither 0 510 > test/0-510.pgm 2>test/0-510.log
	./testdither 0 1020 > test/0-1020.pgm 2>test/0-1020.log


#
# testimage: Test image loading functions.
#

testimage:	testimage.o libcupsfilters.a ../Makedefs
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ testimage.o libcupsfilters.a \
		$(IMGLIBS) $(DSOLIBS) $(LIBS) -lm

#
# testrgb, test RGB separation functions.
#

testrgb:	test testrgb.o libcupsfilters.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testrgb.o  libcupsfilters.a \
		$(LIBS) -lm
	echo Running RGB API tests...
	./testrgb > test/testrgb.log 2>&1 || echo "RGB tests failed!"


#
# Include dependencies...
#

include Dependencies


#
# End of "$Id$".
#

=== filter/Makefile ===
#
# "$Id$"
#
#   Filter makefile for OpenPrinting CUPS Filters.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs


#
# Files...
#

CHARSETS =	\
		pdf.utf-8.heavy \
		pdf.utf-8.simple

DATAFILES =	\
		testprint \
		default.pdf \
		default-testpage.pdf

BANNERS	=	\
		classified \
		confidential \
		secret \
		standard \
		topsecret \
		unclassified

MIMEFILES =	\
		cupsfilters.convs \
		cupsfilters.types

OBJS	=	\
		bannertopdf.o \
		banner.o \
		pdf.o \
		commandtoescpx.o \
		commandtopclx.o \
		imagetoraster.o \
		common.o \
		pcl-common.o \
		pdftops.o \
		rastertoescpx.o \
		rastertopclx.o \
		textcommon.o \
		imagetopdf.o \
		pdftoijs.o \
		texttopdf.o \
		pdfutils.o \
		pdftoraster.o

TARGETS	=	\
		bannertopdf \
		commandtoescpx \
		commandtopclx \
		imagetoraster \
		pdftops \
		rastertoescpx \
		rastertopclx \
		imagetopdf \
		pdftoijs \
		texttopdf \
		pdftoraster

SCRIPTS	=	\
		pstopdf


#
# Make all targets...
#

all:	$(TARGETS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS)
	$(RM) */*.d
	$(RM) */*.o


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:
	echo Installing charsets to $(DATADIR)/charsets...
	$(INSTALL_DIR) -m 755 $(DATADIR)/charsets
	for file in $(CHARSETS); do \
		$(INSTALL_DATA) $$file $(DATADIR)/charsets; \
	done; \
	$(LN) pdf.utf-8.simple $(DATADIR)/charsets/pdf.utf-8
	echo Installing data files to $(DATADIR)/data...
	$(INSTALL_DIR) -m 755 $(DATADIR)/data
	for file in $(DATAFILES); do \
		$(INSTALL_DATA) $$file $(DATADIR)/data; \
	done
	echo Installing banners to $(DATADIR)/banners...
	$(INSTALL_DIR) -m 755 $(DATADIR)/banners
	for file in $(BANNERS); do \
		$(INSTALL_DATA) $$file $(DATADIR)/banners; \
	done
	echo Installing MIME files to $(DATADIR)/mime...
	$(INSTALL_DIR) -m 755 $(DATADIR)/mime
	for file in $(MIMEFILES); do \
		$(INSTALL_DATA) $$file $(DATADIR)/mime; \
	done


#
# Install programs...
#

install-exec:
	echo Installing filters to $(SERVERBIN)/filter...
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	for file in $(TARGETS); do \
		$(INSTALL_BIN) $$file $(SERVERBIN)/filter; \
	done
	for file in $(SCRIPTS); do \
		$(INSTALL_SCRIPT) $$file $(SERVERBIN)/filter; \
	done


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall all targets...
#

uninstall:
	echo Uninstalling charsets from $(DATADIR)/charsets
	for file in $(CHARSETS); do \
		$(RM) $(DATADIR)/charsets/$$file; \
	done
	-$(RMDIR) $(DATADIR)/charsets
	echo Uninstalling data files from $(DATADIR)/data
	for file in $(DATAFILES); do \
		$(RM) $(DATADIR)/data/$$file; \
	done
	-$(RMDIR) $(DATADIR)/data
	echo Uninstalling banners from $(DATADIR)/banners
	for file in $(BANNERS); do \
		$(RM) $(DATADIR)/banners/$$file; \
	done
	-$(RMDIR) $(DATADIR)/banners
	echo Uninstalling MIME files from $(DATADIR)/mime
	for file in $(MIMEFILES); do \
		$(RM) $(DATADIR)/mime/$$file; \
	done
	-$(RMDIR) -m 755 $(DATADIR)/mime
	-$(RMDIR) -m 755 $(DATADIR)
	echo Uninstalling filters from $(SERVERBIN)/filter
	for file in $(TARGETS) $(SCRIPTS); do \
		$(RM) $(SERVERBIN)/filter/$$file; \
	done
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)


#
# bannertopdf: The PDF banner filter.
#

bannertopdf:	bannertopdf.o banner.o pdf.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ bannertopdf.o banner.o pdf.o \
		$(LINKCUPSFILTERS) $(LIBS) $(POPPLER_LIBS)


#
# commandtopclx: The PCL command printer driver.
#

commandtopclx:		commandtopclx.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ commandtopclx.o $(LINKCUPSFILTERS) $(LIBS)


#
# commandtoescpx: The ESC/P command printer driver.
#

commandtoescpx:		commandtoescpx.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ commandtoescpx.o $(LINKCUPSFILTERS) $(LIBS)


#
# imagetoraster: The CUPS Raster image filter.
#

imagetoraster:	imagetoraster.o common.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ imagetoraster.o common.o \
		$(LINKCUPSFILTERS) $(LIBS)


#
# pdftops: The PDF to PostScript filter (wrapper).
#

pdftops:	pdftops.o common.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ pdftops.o common.o $(LIBS)


#
# rastertoescpx: The ESC/P raster printer driver.
#

rastertoescpx:		rastertoescpx.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rastertoescpx.o $(LINKCUPSFILTERS) $(LIBS)


#
# rastertopclx: The ESC/P raster printer driver.
#

rastertopclx:		rastertopclx.o pcl-common.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ rastertopclx.o pcl-common.o $(LINKCUPSFILTERS) \
		$(LIBS)


#
# imagetopdf
#

imagetopdf:	imagetopdf.o common.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ imagetopdf.o common.o $(LINKCUPSFILTERS) \
		$(IMGLIBS) $(LIBS)


#
# pdftoijs
#

pdftoijs:	pdftoijs.o
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftoijs.o \
		$(POPPLER_LIBS) $(IJS_LIBS)


#
# texttopdf
#

fontembed/libfontembed.a:
	$(MAKE) -C fontembed

texttopdf:	texttopdf.o textcommon.o common.o pdfutils.o fontembed/libfontembed.a
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ texttopdf.o textcommon.o common.o pdfutils.o -Lfontembed -lfontembed $(LIBS)


#
# pdftoraster
#

pdftoraster:	pdftoraster.o
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftoraster.o \
		$(POPPLER_LIBS) $(LCMS_LIBS) $(LINKCUPSFILTERS) $(IMGLIBS) $(LIBS)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id$".
#

=== pdftoopvp/Makefile ===
#
# "$Id: Makefile 6649 2007-07-11 21:46:42Z till $"
#
#   pdftopdf filter Makefile for the Common UNIX Printing System (CUPS).
#

include ../Makedefs

#
# Object files...
#

LIBOBJS	=	\
		OPVPOutputDev.o

OBJS	=	pdftoopvp.o $(LIBOBJS)

TARGETS	=	pdftoopvp


#
# Make everything...
#

all:	$(TARGETS)


#
# Blank targets to satisfy the main Makefile of CUPS ...
#

libs:
apihelp:
framedhelp:


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) pdftoopvp


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I. -I.. -Ioprs -Iopvp -fDependencies $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# Install the filter...
#

install:	install-data install-headers install-libs install-exec

install-data:	all
	$(INSTALL_DIR) -m 755 $(BUILDROOT)$(sysconfdir)/fonts/conf.d
	$(INSTALL_BIN) -m 644 99pdftoopvp.conf $(BUILDROOT)$(sysconfdir)/fonts/conf.d

install-exec:	all
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	$(INSTALL_BIN) pdftoopvp $(SERVERBIN)/filter

install-headers:

install-libs:

#
# Uninstall the filter...
#

uninstall:
	$(RM) $(SERVERBIN)/filter/pdftoopvp
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)
	$(RM) $(BUILDROOT)$(sysconfdir)/fonts/conf.d/99pdftoopvp.conf
	-$(RMDIR) $(BUILDROOT)$(sysconfdir)/fonts/conf.d
	-$(RMDIR) $(BUILDROOT)$(sysconfdir)/fonts


#
# pdftoopvp
#

oprs/liboprs.a:
	\$(MAKE) -C oprs

pdftoopvp:	pdftoopvp.o $(LIBOBJS) oprs/liboprs.a
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftoopvp.o $(LIBOBJS) oprs/liboprs.a $(POPPLER_LIBS) $(FREETYPE_LIBS) $(FONTCONFIG_LIBS) $(CXXLIBS) -lpng -ldl


#
# Dependencies...
#

include Dependencies

#
# Make unit tests...
#

unittests:

#
# End of "$Id: Makefile 6649 2007-07-11 21:46:42Z till $".
#

=== pdftopdf/Makefile ===
#
# "$Id: Makefile 6649 2007-07-11 21:46:42Z till $"
#
#   pdftopdf filter Makefile for the Common UNIX Printing System (CUPS).
#

include ../Makedefs

#
# Object files...
#

LIBOBJS	=	\
		P2PCatalog.o \
		P2PDoc.o \
		P2PGfx.o \
		P2PObject.o \
		P2POutput.o \
		P2POutputStream.o \
		P2PPage.o \
		P2PPageTree.o \
		P2PResources.o \
		P2PXRef.o \
		P2PFont.o \
		PDFFTrueTypeFont.o \
		P2PPattern.o \
		P2PCharCodeToUnicode.o \
		P2PCMap.o \
		P2PForm.o \
		parseargs.o \
		UGooString.o

OBJS	=	pdftopdf.o $(LIBOBJS)

TARGETS	=	pdftopdf


#
# Make everything...
#

all:	$(TARGETS)


#
# Blank targets to satisfy the main Makefile of CUPS ...
#

libs:
apihelp:
framedhelp:


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) pdftopdf


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# Install the filter...
#

install:	install-data install-headers install-libs install-exec

install-data:

install-exec:	all
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	$(INSTALL_BIN) pdftopdf $(SERVERBIN)/filter

install-headers:

install-libs:

#
# Uninstall the filter...
#

uninstall:
	$(RM) $(SERVERBIN)/filter/pdftopdf
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)


#
# pdftopdf
#

pdftopdf:	pdftopdf.o $(LIBOBJS)
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftopdf.o $(LIBOBJS) $(POPPLER_LIBS) $(CXXLIBS) -lm -lz


#
# Dependencies...
#

include Dependencies

#
# Dependencies...
#

include Dependencies

#
# Make unit tests...
#

unittests:

#
# End of "$Id: Makefile 6649 2007-07-11 21:46:42Z till $".
#

=== debian/changelog ===
cups-filters (1.0~b1-3) unstable; urgency=low

  * debian/control: Add missing libijs-dev build dependency.

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Jan 2012 07:21:37 +0100

cups-filters (1.0~b1-2) unstable; urgency=low

  * Upload to unstable.

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Jan 2012 06:35:46 +0100

cups-filters (1.0~b1-1) experimental; urgency=low

  * Initial Release. This is a splitout of all filters which are currently
    being shipped by the "cups" package but are not provided by upstream any
    more. These now have a new home at openprinting.org. Upload to
    experimental for getting it through NEW, then cups and cups-filters will
    be uploaded to unstable in lockstep.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 28 Jan 2012 13:13:07 +0100

=== debian/control ===
Source: cups-filters
Standards-Version: 3.9.2
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Uploaders: 
 Till Kamppeter <till.kamppeter@gmail.com>,
 Martin Pitt <mpitt@debian.org>,
 Didier Raboud <odyx@debian.org>
Build-Depends: 
 autoconf,
 autotools-dev,
 cdbs (>= 0.4.93~),
 debhelper (>= 9~),
 hardening-wrapper,
 patch,
 pkg-config,
 sharutils,
 ghostscript (>= 9.02~),
 poppler-utils,
 liblcms2-dev,
 libpoppler-dev (>= 0.16.0),
 libjpeg-dev,
 libpng12-dev,
 libtiff4-dev,
 libcups2-dev,
 libcupsimage2-dev,
 libijs-dev,
 zlib1g-dev
Homepage: http://www.openprinting.org/
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/

Package: libcupsfilters1
Priority: optional
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, 
 ${misc:Depends}
Multi-Arch: same
Description: OpenPrinting CUPS Filters - Shared library
 This library contains functions commonly used by the CUPS filters
 in the OpenPrinting CUPS filters package, currently functions to read
 several different image formats and to convert bitmaps between different
 color spaces.

Package: cups-filters
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 ghostscript (>= 9.02~),
 ttf-freefont
Recommends: colord, 
 foomatic-filters (>= 4.0), 
 ghostscript-cups (>= 9.02~)
Suggests: foomatic-db-compressed-ppds | foomatic-db
Replaces: cups (<< 1.5.0-16), 
 cups-common (<< 1.5.0-16),
 ghostscript-cups (<< 9.02~)
Breaks: cups (<< 1.5.0-16), 
 cups-common (<< 1.5.0-16),
 ghostscript-cups (<< 9.02~)
Description: OpenPrinting CUPS Filters
 This package provides additional CUPS filters which are not provided
 by the CUPS project itself. This includes filters for a PDF based
 printing workflow.

Package: libcupsfilters-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcupsfilters1 (= ${binary:Version})
Description: OpenPrinting CUPS Filters - Development files for the library
 Header files to develop applications (CUPS filters, printer drivers) using
 libcupsfilters.

#Package: cups-filters-dbg
#Priority: extra
#Section: debug
#Architecture: any
#Depends: ${shlibs:Depends},
#  ${misc:Depends},
#  cups-filters (= ${binary:Version}) | libcupsfilters1 (= ${binary:Version})
#Description: OpenPrinting CUPS Filters - Debugging symbols
# This package provides the debugging symbols for OpenPrinting
# CUPS Filters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
# http://www.cups.org/str.php?L3765
export LC_MESSAGES=C

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --enable-debug

DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt

#DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
LDFLAGS := -Wl,--as-needed
DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

post-patches::
	set -e; if dpkg --compare-versions `dpkg-query -W --showformat '$${Version}' libpoppler-dev` lt 0.18 && ! [ -e debian/patches/stamp-poppler-applied ]; then \
	    echo '---- Applying poppler < 0.18 patch'; \
	    patch -p1 --no-backup-if-mismatch < debian/patches/poppler-pre-0.18.patch; \
	    touch debian/patches/stamp-poppler-applied; \
	fi

clean::
	if [ -e debian/patches/stamp-poppler-applied ]; then \
	    echo '---- Unapplying poppler < 0.18 patch'; \
	    patch -Rp1 --no-backup-if-mismatch < debian/patches/poppler-pre-0.18.patch; \
	    rm debian/patches/stamp-poppler-applied; \
	fi

cleanbuilddir::
	[ ! -f Makedefs ] || make distclean

binary-post-install/cups-filters::
	# Install Apport hook on Ubuntu
	if dpkg-vendor --is ubuntu; then \
	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups-filters.py; \
	fi

	# Modify the cost factor for the Poppler-based pdftoraster filter of
	# the PDF filter add-on so that Ghostscript's gstoraster gets preferred.
	# (This will get merged upstream in 1.0b2)
	sed -i -r -e '/\spdftoraster$$/ { s/66/100/ }' \
	  $(DEB_DESTDIR)/../cups-filters/usr/share/cups/mime/cupsfilters.convs

	# Install documentation of the PDF CUPS filters
	# (This will get merged upstream in 1.0b2)
	mkdir -p $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/
	install -m 644 debian/local/README.pdf-filters $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/
	#install -m 644 filter/test.sh $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/texttopdf-text.sh
	install -m 644 ppd/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/

	# Make the serial backend run as root, since /dev/ttyS* are
	# root:dialout and thus not accessible as user lp
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial

binary-post-install/libcupsfilters-dev::
	mkdir -p debian/$(cdbs_curpkg)/usr/include/cups-filters/
	install -m 644 cupsfilters/driver.h debian/$(cdbs_curpkg)/usr/include/cups-filters/
	install -m 644 cupsfilters/image.h debian/$(cdbs_curpkg)/usr/include/cups-filters/
	mkdir -p debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp -d cupsfilters/libcupsfilters.so debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
	install -m 644 cupsfilters/libcupsfilters.a debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/

## cups-filters 1.0.2

=== filter/Makefile ===
--- 
+++ 
@@ -76,7 +76,17 @@
 		pdftoraster
 
 SCRIPTS	=	\
-		pstopdf
+		pstopdf \
+		texttops \
+		imagetops \
+		textonly
+
+PPDFILES =	\
+		HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd \
+		textonly.ppd
+
+DRVFILES =	\
+		cupsfilters.drv
 
 
 #
@@ -137,6 +147,16 @@
 	for file in $(MIMEFILES); do \
 		$(INSTALL_DATA) $$file $(DATADIR)/mime; \
 	done
+	echo Installing DRV files to $(DATADIR)/drv...
+	$(INSTALL_DIR) -m 755 $(DATADIR)/drv
+	for file in $(DRVFILES); do \
+		$(INSTALL_DATA) $$file $(DATADIR)/drv; \
+	done
+	echo Installing PPD files to $(BUILDROOT)${datadir}/ppd/cupsfilters...
+	$(INSTALL_DIR) -m 755 $(BUILDROOT)${datadir}/ppd/cupsfilters
+	for file in $(PPDFILES); do \
+		$(INSTALL_DATA) $$file $(BUILDROOT)${datadir}/ppd/cupsfilters; \
+	done
 
 
 #
@@ -174,6 +194,7 @@
 
 uninstall:
 	echo Uninstalling charsets from $(DATADIR)/charsets
+	$(RM) $(DATADIR)/charsets/pdf.utf-8
 	for file in $(CHARSETS); do \
 		$(RM) $(DATADIR)/charsets/$$file; \
 	done
@@ -192,8 +213,19 @@
 	for file in $(MIMEFILES); do \
 		$(RM) $(DATADIR)/mime/$$file; \
 	done
-	-$(RMDIR) -m 755 $(DATADIR)/mime
-	-$(RMDIR) -m 755 $(DATADIR)
+	-$(RMDIR) $(DATADIR)/mime
+	echo Uninstalling DRV files from $(DATADIR)/drv
+	for file in $(DRVFILES); do \
+		$(RM) $(DATADIR)/drv/$$file; \
+	done
+	-$(RMDIR) $(DATADIR)/drv
+	-$(RMDIR) $(DATADIR)
+	echo Uninstalling PPD files from $(BUILDROOT)${datadir}/ppd/cupsfilters
+	for file in $(PPDFILES); do \
+		$(RM) $(BUILDROOT)${datadir}/ppd/cupsfilters/$$file; \
+	done
+	-$(RMDIR) $(BUILDROOT)${datadir}/ppd/cupsfilters
+	-$(RMDIR) $(BUILDROOT)${datadir}/ppd
 	echo Uninstalling filters from $(SERVERBIN)/filter
 	for file in $(TARGETS) $(SCRIPTS); do \
 		$(RM) $(SERVERBIN)/filter/$$file; \
@@ -208,7 +240,7 @@
 
 bannertopdf:	bannertopdf.o banner.o pdf.o
 	echo Linking $@...
-	$(CC) $(LDFLAGS) -o $@ bannertopdf.o banner.o pdf.o \
+	$(CXX) $(LDFLAGS) -o $@ bannertopdf.o banner.o pdf.o \
 		$(LINKCUPSFILTERS) $(LIBS) $(POPPLER_LIBS)

=== debian/changelog ===
cups-filters (1.0.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - cups-filters 1.0.2 release
     - bannertopdf fixes
  * debian/local/default-testpage.pdf, debian/source/include-binaries: Added
    Ubuntu-branded test page template.
  * debian/rules: Replace the upstream test page template by the Ubuntu-branded
    one if the package is built under Ubuntu.

  [ Martin Pitt ]
  * debian/control: Build-depend on libpoppler-private-dev for the impending
    poppler 0.18 transition. Thanks Pino Toscano! (Closes: #660989)

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Feb 2012 14:48:00 +0100

cups-filters (1.0.1-1) unstable; urgency=low

  * New upstream release
     - cups-filters 1.0.1 release
     - Included the textonly filter, Red Hat's driver for text-only printers.
     - Install sample PPD file for pdftoijs (for HP PhotoSmart Pro B8300).
     - Added cupsfilters.drv, providing support for the HP DesignJet 600,
       750C, 1050C, 4000, T1100, T790.
     - Added texttops and imagetops filters for backward compatibility
       (Closes: #658258).
     - Use Ghostscript as default renderer when building pdftops (LP: #926068).
     - Build system and documentation fixes
     - Incorporated distro patches upstream: Cost factor 100 for pdftoraster,
       installation of C headers, PDF filter documentation
  * debian/local/text*, debian/local/README.pdf-filters: Removed, incorporated
    upstream.
  * debian/cups-filters.ppd-updater: Updated appropriate to changes in the
    upstream package.
  * debian/cups-filters.install: Updated due to upstream inclusion of
    textonly filter.
  * debian/rules: Removed extra rules for working around build system bugs
    in 1.0b1.
  * debian/libcupsfilters-dev.install: Install the files via this .install file
    now and not via debian/rules.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 07:23:51 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  ghostscript (>= 9.02~),
  poppler-utils,
  liblcms2-dev,
- libpoppler-dev (>= 0.16.0),
+ libpoppler-private-dev (>= 0.16.0),
  libjpeg-dev,
  libpng12-dev,
  libtiff4-dev,

=== debian/rules ===
--- 
+++ 
@@ -45,32 +45,14 @@
 	[ ! -f Makedefs ] || make distclean
 
 binary-post-install/cups-filters::
-	# Install Apport hook on Ubuntu
+	# Ubuntu-specific stuff
+	#  - Install Apport hook
+	#  - Replace standard test page template by Ubuntu-branded one
 	if dpkg-vendor --is ubuntu; then \
 	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups-filters.py; \
+	   install -D -m 644 debian/local/default-testpage.pdf debian/$(cdbs_curpkg)/usr/share/cups/data/default-testpage.pdf; \
 	fi
-
-	# Modify the cost factor for the Poppler-based pdftoraster filter of
-	# the PDF filter add-on so that Ghostscript's gstoraster gets preferred.
-	# (This will get merged upstream in 1.0b2)
-	sed -i -r -e '/\spdftoraster$$/ { s/66/100/ }' \
-	  $(DEB_DESTDIR)/../cups-filters/usr/share/cups/mime/cupsfilters.convs
-
-	# Install documentation of the PDF CUPS filters
-	# (This will get merged upstream in 1.0b2)
-	mkdir -p $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/
-	install -m 644 debian/local/README.pdf-filters $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/
-	#install -m 644 filter/test.sh $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/texttopdf-text.sh
-	install -m 644 ppd/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/
 
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial
-
-binary-post-install/libcupsfilters-dev::
-	mkdir -p debian/$(cdbs_curpkg)/usr/include/cups-filters/
-	install -m 644 cupsfilters/driver.h debian/$(cdbs_curpkg)/usr/include/cups-filters/
-	install -m 644 cupsfilters/image.h debian/$(cdbs_curpkg)/usr/include/cups-filters/
-	mkdir -p debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
-	cp -d cupsfilters/libcupsfilters.so debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
-	install -m 644 cupsfilters/libcupsfilters.a debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/

## cups-filters 1.0.5

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,8 @@
 #
 
 distclean:	clean
-	$(RM) Makedefs filter/pstopdf config.h config.log config.status
+	$(RM) Makedefs filter/pstopdf filter/texttops filter/imagetops
+	$(RM) config.h config.log config.status
 	$(RM) -f */*.bak
 	-$(RM) -rf autom4te*.cache clang cupsfilters/test
 
@@ -123,6 +124,10 @@
 #
 
 install-headers:
+	for dir in $(DIRS); do\
+		echo Installing header files in $$dir... ;\
+		(cd $$dir; $(MAKE) $(MFLAGS) install-headers) || exit 1;\
+	done
 
 
 #

=== filter/Makefile ===
--- 
+++ 
@@ -329,7 +329,7 @@
 
 texttopdf:	texttopdf.o textcommon.o common.o pdfutils.o fontembed/libfontembed.a
 	echo Linking $@...
-	$(CC) $(LDFLAGS) -o $@ texttopdf.o textcommon.o common.o pdfutils.o -Lfontembed -lfontembed $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ texttopdf.o textcommon.o common.o pdfutils.o -Lfontembed -lfontembed $(FONTCONFIG_LIBS) $(LIBS)
 
 
 #

=== pdftoopvp/Makefile ===
--- 
+++ 
@@ -58,10 +58,12 @@
 install:	install-data install-headers install-libs install-exec
 
 install-data:	all
+	echo Installing configuration files to $(sysconfdir)/fonts/conf.d...
 	$(INSTALL_DIR) -m 755 $(BUILDROOT)$(sysconfdir)/fonts/conf.d
-	$(INSTALL_BIN) -m 644 99pdftoopvp.conf $(BUILDROOT)$(sysconfdir)/fonts/conf.d
+	$(INSTALL_DATA) -m 644 99pdftoopvp.conf $(BUILDROOT)$(sysconfdir)/fonts/conf.d
 
 install-exec:	all
+	echo Installing filters to $(SERVERBIN)/filter...
 	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
 	$(INSTALL_BIN) pdftoopvp $(SERVERBIN)/filter

=== pdftopdf/Makefile ===
--- 
+++ 
@@ -77,6 +77,7 @@
 install-data:
 
 install-exec:	all
+	echo Installing filters in $(SERVERBIN)/filter...
 	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
 	$(INSTALL_BIN) pdftopdf $(SERVERBIN)/filter

=== debian/changelog ===
cups-filters (1.0.5-1) unstable; urgency=low

  * New upstream release
    - cups-filters 1.0.5 release
    - pdftops: Added insertion of workaround PostScript code for printers
      with bugs in their PS interpreters (LP: #950713, LP: #951627).
    - parallel backend: Break infinite loop (LP: #936647).
    - texttopdf: Complete the implementation of fontconfig-based font
      selection (Closes: #663070).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 14 Mar 2012 11:43:22 +0100

cups-filters (1.0.4-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
    - cups-filters 1.0.4 release
    - texttopdf: Fall back to altermative fonts via fontconfig if the
      FreeMono TrueType fonts are not installed (Closes: #495598,
      Closes: #662660).
    - bannertopdf: Fix off-by-one error in page duplication
    - bannertopdf: Put indirect references to streams into the page's
      contents
    - bannertopdf: Let byte offsets for the Xref table of the PDF output
      being determined correctly also when the output goes to stdout
      (LP: #939735).
    - bannertopdf: Output multiple copies of the test page if duplex
      and/or N-up is chosen, to let the test page appear on all possible
      positions of the sheet (LP: #939530).
    - bannertopdf: Scale test page template to fit the job's page size,
      get and display full page geometry information, draw the frame which
      marks the printable area 1pt smaller, to assure that it gets completely
      visible (LP: #921073).
  * debian/local/default-testpage.pdf: Added missing "Q" operator to the end of
    the page. This broke N-up printing with pdftopdf (LP: #939530).
  * debian/control: Added explicit build dependency on libfontconfig1-dev.
    (Closes: #661127)
  * debian/control: Changed font dependency (for texttopdf) to "ttf-freefont |
    fonts-liberation | ttf-dejavu" instead of only "ttf-freefont"
    (Closes: #495598, Closes: #662660).

  [ Martin Pitt ]
  * debian/control: Build against libpng-dev, with an alternative to the older
    libpng12-dev. (Closes: #662295)
  * debian/control: Prefer building against libtiff5-dev if available, falling  
    back to libtiff-dev.
  * debian/control, debian/rules: Move from hardening-wrapper to using
    dpkg-buildflags. Bump dpkg-dev build dependency to (>= 1.16.1~) for this.
  * debian/copyright: Update Format header for official copyright format 1.0.
  * debian/control: Bump Standards-Version to 3.9.3.
  * debian/rules: Drop LC_MESSAGES setting, leftover from cups.
  * debian/control: Bump libcupsimage2-dev build dependency to ensure to build
    against a version which does not conflict on the libtiff?-dev build
    dependency.

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Mar 2012 14:36:49 +0100

## cups-filters 1.0.7

=== filter/Makefile ===
--- 
+++ 
@@ -82,6 +82,7 @@
 		textonly
 
 PPDFILES =	\
+		HP-Color_LaserJet_CM3530_MFP-PDF.ppd \
 		HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd \
 		textonly.ppd
 
@@ -101,6 +102,7 @@
 #
 
 clean:
+	$(MAKE) -C fontembed $@
 	$(RM) $(OBJS) $(TARGETS)
 	$(RM) */*.d
 	$(RM) */*.o
@@ -325,6 +327,7 @@
 #
 
 fontembed/libfontembed.a:
+	echo Building $@...
 	$(MAKE) -C fontembed
 
 texttopdf:	texttopdf.o textcommon.o common.o pdfutils.o fontembed/libfontembed.a

=== debian/changelog ===
cups-filters (1.0.7-1) unstable; urgency=low

  * New upstream release
     - cups-filters 1.0.7 release
     - pdftops: Added debug mode for investigating PostScript printer
       incompatibilities and interpreter bugs. Now sending a job with
       "lpr -o psdebug" makes the filter sending uncompressed PostScript.
     - pdftops: Additional workaround for a bug in the PostsSript interpreters
       of Brother printers, calling Ghostscript with special command line
       options (LP: #955553).
     - pdftopdf: Correct handling of PJL output and page_log messages on
       native PDF printers and on printers using a driver after pdftopdf
       (including PostScript printers).
     - texttopdf: Full fontconfig support, several bug fixes and improvements
       to make the output work on more different PDF interpreters, including
       built-in interpreters in printers.
     - Fixed cupsfilters.drv PPD generator and rastertopclx filter to make the
       supported HP DesignJet printers actually work.
     - parallel backend: Use same method as CUPS to overcome infinite loop
       on side channel errors (LP: #936647, CUPS STR #4044).
     - "make clean" and "make distclesn" work also correctly now when called
       repeatedly (Closes: #663564).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Mar 2012 09:18:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cups-filters
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Priority: optional
 Section: net
 Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
@@ -12,7 +12,7 @@
  autotools-dev,
  cdbs (>= 0.4.93~),
  debhelper (>= 9~),
- hardening-wrapper,
+ dpkg-dev (>= 1.16.1~),
  patch,
  pkg-config,
  sharutils,
@@ -21,12 +21,13 @@
  liblcms2-dev,
  libpoppler-private-dev (>= 0.16.0),
  libjpeg-dev,
- libpng12-dev,
- libtiff4-dev,
+ libpng-dev | libpng12-dev,
+ libtiff5-dev | libtiff-dev,
  libcups2-dev,
- libcupsimage2-dev,
+ libcupsimage2-dev (>= 1.5.2-6~),
  libijs-dev,
- zlib1g-dev
+ zlib1g-dev,
+ libfontconfig1-dev
 Homepage: http://www.openprinting.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/
@@ -52,7 +53,7 @@
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
  ghostscript (>= 9.02~),
- ttf-freefont
+ ttf-freefont | fonts-liberation | ttf-dejavu
 Recommends: colord, 
  foomatic-filters (>= 4.0), 
  ghostscript-cups (>= 9.02~)

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
-# http://www.cups.org/str.php?L3765
-export LC_MESSAGES=C
+DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
+LDFLAGS += -Wl,--as-needed
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
@@ -23,7 +23,6 @@
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
-LDFLAGS := -Wl,--as-needed
 DPKG_GENSYMBOLS_CHECK_LEVEL=4
 export DPKG_GENSYMBOLS_CHECK_LEVEL

## cups-filters 1.0.17

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,9 @@
 		echo Making all in $$dir... ;\
 		(cd $$dir ; $(MAKE) $(MFLAGS) all) || exit 1;\
 	done
+
+Makedefs:
+	$(CURDIR)/configure
 
 
 #

=== backend/Makefile ===
#
# "$Id$"
#
#   Backend makefile for OpenPrinting CUPS Filters.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs

#
# Object files...
#

BACKENDS =	parallel serial
UNITTESTS =	test1284
TARGETS =	$(BACKENDS) $(UNITTESTS)
OBJS	=	\
		ieee1284.o \
		parallel.o \
		serial.o \
		test1284.o


#
# Make all targets...
#

all:	$(TARGETS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS)


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:
	echo Installing backends in $(SERVERBIN)/backend...
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/backend
	for file in $(BACKENDS); do \
		$(INSTALL_BIN) $$file $(SERVERBIN)/backend; \
	done


#
# Install headers...
#

install-headers:


#
# Install libraries...
#

install-libs:


#
# Uninstall all targets...
#

uninstall:
	echo Uninstalling backends from $(SERVERBIN)/backend...
	for file in $(BACKENDS); do \
		$(RM) $(SERVERBIN)/backend/$$file; \
	done
	-$(RMDIR) $(SERVERBIN)/backend
	-$(RMDIR) $(SERVERBIN)


#
# test1284
#

test1284:	test1284.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o test1284 test1284.o $(LIBS)


#
# parallel
#

parallel:	parallel.o ieee1284.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o parallel parallel.o ieee1284.o $(LIBS)


#
# serial
#

serial:	serial.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o serial serial.o $(BACKLIBS) $(LIBS)


#
# Dependencies...
#

include Dependencies


#
# End of "$Id$".
#

=== filter/Makefile ===
--- 
+++ 
@@ -82,6 +82,7 @@
 		textonly
 
 PPDFILES =	\
+		Generic-PDF_Printer-PDF.ppd \
 		HP-Color_LaserJet_CM3530_MFP-PDF.ppd \
 		HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd \
 		textonly.ppd

=== filter/fontembed/Makefile ===
SOURCES=main.c sfnt.c sfnt_subset.c embed.c embed_sfnt.c embed_pdf.c test_analyse.c dynstring.c test_pdf.c fontfile.c frequent.c aglfn13.c
LIBOBJ=sfnt.o sfnt_subset.o embed.o embed_sfnt.o embed_pdf.o dynstring.o fontfile.o frequent.o aglfn13.o
EXEC=ttfread test_analyze test_pdf test_ps
LIB=libfontembed.a

#CPPFLAGS=-O3 -funroll-all-loops -finline-functions -Wall -g
CPPFLAGS=-Wall -g -fPIC
LDFLAGS=

#CPPFLAGS+=-DWITH_AGLFN -DWITH_MACROMAN

OBJECTS=$(patsubst %.c,$(PREFIX)%$(SUFFIX).o,\
        $(patsubst %.cpp,$(PREFIX)%$(SUFFIX).o,\
$(SOURCES)))
DEPENDS=$(patsubst %.c,$(PREFIX)%$(SUFFIX).d,\
        $(patsubst %.cpp,$(PREFIX)%$(SUFFIX).d,\
        $(filter-out %.o,""\
$(SOURCES))))

all: $(LIB)
test: $(EXEC)
ifneq "$(MAKECMDGOALS)" "clean"
  -include $(DEPENDS)
endif 

clean:
	rm -f $(EXEC) $(LIB) $(OBJECTS) $(DEPENDS) 

%.d: %.c
	@$(SHELL) -ec '$(CXX) -MM $(CPPFLAGS) $< \
                      | sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@;\
                      [ -s $@ ] || rm -f $@'

%.d: %.cpp
	@$(SHELL) -ec '$(CXX) -MM $(CPPFLAGS) $< \
                      | sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@;\
                      [ -s $@ ] || rm -f $@'

$(LIB): $(LIBOBJ)
	$(AR) rcu $@ $^ 

ttfread: main.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

test_analyze: test_analyze.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

test_pdf: test_pdf.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

test_ps: test_ps.o $(LIB)
	$(CXX) -o $@ $^ $(LDFLAGS)

=== debian/changelog ===
cups-filters (1.0.17-0bzr0.1) precise-proposed; urgency=low

  * New upstream release
     - pdftopdf: Fixed segmentation fault when printing selected pages
       ("page-ranges" option, LP: #980673).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 20 Apr 2012 14:39:03 +0200

cups-filters (1.0.16-0bzr1) precise; urgency=low

  * New upstream release
     - pdftopdf: Fixed segmentation faults when using N-up with certain PDF
       files (LP: #980673) and when calling pdftopdf manually without
       specifyting a PPD file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 16 Apr 2012 11:51:11 +0200

cups-filters (1.0.15-0bzr1) precise; urgency=low

  * New upstream release
     - pdftops: Suppress image compression only for Brother printers as they
       really need this measure to print at all. This accelerates printer-
       internal job processing on most other printers (tested on HP and
       Kyocera). Also suppress page compression on Kyocera printers, this
       works around a bug in Kyocera's PostScript interpreters which makes
       printing pages with images very slow (LP: #977912).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Apr 2012 22:40:11 +0200

cups-filters (1.0.14-0bzr1) precise; urgency=low

  * New upstream release
     - pdftops: Determine printing resolution from the PPD file and supply
       it on the Ghostscript or pdftops (Poppler) command line, so that
       the renderer does the image rendering with a resolution matching the
       printer's resolution. This avoids too slow processing of the jobs
       by the printer's built-in PostScript interpreter. In addition
       a default resolution of 300 dpi is used for PPDs without any hint
       of the printer's resolution, as most PostScript lasers use multiples
       of 300 dpi as resolution (LP: #977912).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Apr 2012 19:40:11 +0200

cups-filters (1.0.13-1) unstable; urgency=low

  * New upstream release
     - Fixed display of job date on test page and banner pages (LP: #975064).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Apr 2012 07:40:11 +0200

cups-filters (1.0.12-1) unstable; urgency=low

  * New upstream release
     - Fixed crash of imagetopdf filter when it is called manually
       without supplying a valid PPD file (LP: #973564).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 05 Apr 2012 13:35:24 +0200

cups-filters (1.0.11-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Updated all code copied from Poppler to the current state of Poppler,
       to fix any bugs or security vulnerabilities which were in that
       Poppler code.
     - Made Poppler-based PDF filters building with various versions of
       Poppler.
     - Deactivated MIME conversion rules which are not used by the PDF-
       based printing workflow.
     - Added generic PPD for native PDF printers.
     - Cleaned up sample PPD file HP-Color_LaserJet_CM3530_MFP-PDF.ppd.
     - imagetopdf: Added support for native PDF printers.
     - imagetopdf, imagetoraster: Let image input "scale to fit"
       by default. This makes photo printing via AirPrint work,
       as the iOS devices send JPEG but do not allow setting options.
     - pdftops: Generally do not compress fonts and images, and
       also do not do CCITT compression for bitmap glyphs to make
       the PostScript output more compatible with buggy PostScript
       interpreters. The output gets 30-50% longer but will work on
       many more different printer models. Problems were also
       discovered on HP and not only on Brother (LP: #960666).

  [ Martin Pitt ]
  * Drop debian/patches/poppler-pre-0.18.patch and patch machinery around it.
    It's not necessary with the current upstream version any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 30 Mar 2012 08:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  cdbs (>= 0.4.93~),
  debhelper (>= 9~),
  dpkg-dev (>= 1.16.1~),
- patch,
  pkg-config,
  sharutils,
  ghostscript (>= 9.02~),

=== debian/rules ===
--- 
+++ 
@@ -26,20 +26,6 @@
 DPKG_GENSYMBOLS_CHECK_LEVEL=4
 export DPKG_GENSYMBOLS_CHECK_LEVEL
 
-post-patches::
-	set -e; if dpkg --compare-versions `dpkg-query -W --showformat '$${Version}' libpoppler-dev` lt 0.18 && ! [ -e debian/patches/stamp-poppler-applied ]; then \
-	    echo '---- Applying poppler < 0.18 patch'; \
-	    patch -p1 --no-backup-if-mismatch < debian/patches/poppler-pre-0.18.patch; \
-	    touch debian/patches/stamp-poppler-applied; \
-	fi
-
-clean::
-	if [ -e debian/patches/stamp-poppler-applied ]; then \
-	    echo '---- Unapplying poppler < 0.18 patch'; \
-	    patch -Rp1 --no-backup-if-mismatch < debian/patches/poppler-pre-0.18.patch; \
-	    rm debian/patches/stamp-poppler-applied; \
-	fi
-
 cleanbuilddir::
 	[ ! -f Makedefs ] || make distclean
